Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.workbench
Class PerspectiveDescriptor

    java.lang.Object
      ru.biosoft.workbench.PerspectiveDescriptor

public class PerspectiveDescriptor
extends java.lang.Object

Nested Class Summary
`static class` | `PerspectiveDescriptor.View` Description of view and its layout inside the perspective.

Field Summary
`protected java.util.ArrayList` | `viewList`

Constructor Summary
`PerspectiveDescriptor(java.lang.String id, java.lang.String name, java.lang.String className, java.lang.String icon)`

Method Summary
`void` | `addView(PerspectiveDescriptor.View view)`
`java.lang.String` | `getIcon()`
`java.lang.String` | `getId()`
`java.lang.String` | `getName()`
`PerspectiveFactory` | `getPerspectiveFactory()`
`PerspectiveDescriptor.View[]` | `getViews()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### viewList

    protected java.util.ArrayList viewList

Constructor Detail

### PerspectiveDescriptor

    public PerspectiveDescriptor(java.lang.String id,
                                 java.lang.String name,
                                 java.lang.String className,
                                 java.lang.String icon)

Method Detail

### toString

    public java.lang.String toString()

### getId

    public java.lang.String getId()

### getName

    public java.lang.String getName()

### getPerspectiveFactory

    public PerspectiveFactory getPerspectiveFactory()
                                             throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getIcon

    public java.lang.String getIcon()

### getViews

    public PerspectiveDescriptor.View[] getViews()

### addView

    public void addView(PerspectiveDescriptor.View view)

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.